Bug 156495 - [NEW PORT] audio/mscore: MuseScore music notation program
Summary: [NEW PORT] audio/mscore: MuseScore music notation program
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-19 16:00 UTC by dennylin93
Modified: 2011-09-08 18:10 UTC (History)
0 users

See Also:


Attachments
mscore.shar (14.01 KB, text/plain)
2011-04-19 16:00 UTC, dennylin93
no flags Details
Makefile.patch (784 bytes, patch)
2011-04-20 12:38 UTC, dennylin93
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dennylin93 2011-04-19 16:00:17 UTC
This port is based on the one in ports/151387:
- MuseScore updated to 1.0
- Uses devel/qtscriptgenerator
- Uses USE_CMAKE
Comment 1 dennylin93 2011-04-20 12:38:46 UTC
Please apply this additional patch.

-- 
Denny Lin
Comment 2 buganini 2011-07-11 02:55:33 UTC
http://www.cnmc.tw/~buganini/mscore.shar.txt

This shar file contains shar and patch from this pr, with following changes:
 * optional audio/jack support
 * pkg-message
Comment 3 Dmitry Marakasov freebsd_committer 2011-08-02 18:40:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I've committed audio/musescore on my own, take this PR to grab some 
useful stuff
Comment 4 dfilter service freebsd_committer 2011-09-08 18:01:33 UTC
amdmi3      2011-09-08 17:01:24 UTC

  FreeBSD ports repository

  Modified files:
    audio/musescore      Makefile pkg-message pkg-plist 
    audio/musescore/files patch-mscore-CMakeLists.txt 
  Log:
  - Import some useful bits from another musescore port submission [1]
    - Depend on qtscriptgenerator rather than building local copy of it
    - Add note on codecs which may be needed to CJK users to pkg-message
  - Use %%DATADIR%% macro
  - Disable portaudio by default since it doesn't seem to work
  
  PR:             156495 [1]
  Submitted by:   Denny Lin <dennylin93@hs.ntnu.edu.tw>
  
  Revision  Changes    Path
  1.2       +7 -3      ports/audio/musescore/Makefile
  1.2       +10 -1     ports/audio/musescore/files/patch-mscore-CMakeLists.txt
  1.2       +13 -0     ports/audio/musescore/pkg-message
  1.2       +185 -191  ports/audio/musescore/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2011-09-08 18:02:07 UTC
State Changed
From-To: open->closed

Useful bits merged to audio/musescore